org.apache.poi.hwpf.dev

## Class HWPFLister

- java.lang.Object
- - org.apache.poi.hwpf.dev.HWPFLister

-     @Beta
      public final class HWPFLister
      extends java.lang.Object

  Used by developers to list out key information on a HWPF file. End users will probably never need to use this program.
  Author:
    Nick Burch (nick at torchbox dot com), Sergey Vladimirov (vlsergey at gmail dot com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HWPFLister(HWPFDocumentCore doc)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dumpChpx(boolean withProperties, boolean withSprms)`
    `void` | `dumpFIB()`
    `void` | `dumpFileSystem()`
    `void` | `dumpPapx(boolean withProperties, boolean withSprms)`
    `protected void` | `dumpParagraphLevels(ListTables listTables, ParagraphProperties paragraph)`
    `void` | `dumpParagraphs(boolean dumpAssotiatedPapx)`
    `void` | `dumpParagraphsDom(boolean withText)`
    `protected void` | `dumpSprms(SprmIterator sprmIt, java.lang.String linePrefix)`
    `void` | `dumpTextPieces(boolean withText)`
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HWPFLister

          public HWPFLister(HWPFDocumentCore doc)

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### dumpChpx

          public void dumpChpx(boolean withProperties,
                               boolean withSprms)

    - #### dumpFIB

          public void dumpFIB()

    - #### dumpFileSystem

          public void dumpFileSystem()
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### dumpPapx

          public void dumpPapx(boolean withProperties,
                               boolean withSprms)
                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### dumpParagraphs

          public void dumpParagraphs(boolean dumpAssotiatedPapx)

    - #### dumpSprms

          protected void dumpSprms(SprmIterator sprmIt,
                                   java.lang.String linePrefix)

    - #### dumpParagraphsDom

          public void dumpParagraphsDom(boolean withText)

    - #### dumpParagraphLevels

          protected void dumpParagraphLevels(ListTables listTables,
                                             ParagraphProperties paragraph)

    - #### dumpTextPieces

          public void dumpTextPieces(boolean withText)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.